/*
 * Created on July 19st 2023
 *
 * Copyright (C) 2023 Welltested AI - All Rights Reserved
 * The code in this file is Intellectutal Property of Welltested AI.
 * and can't be edited, redistributed or used without a valid license of it's product (Welltested)[https://welltested.ai]
 */

import 'package:args/command_runner.dart';
import 'package:welltested/src/utilities/command_runner.dart';
import 'package:welltested/src/utilities/logging.dart';

void main(List<String> args) async {
  var runner = CommandRunner("welltested",
      "Welltested auto generates to auto generate tests for your code with AI within minutes.")
    ..addCommand(GenerateCommmand())
    ..addCommand(SaveCommand());

  try {
    await runner.run(args);
  } catch (e) {
    if (e is UsageException) {
      wtLog.error(e.message);
      wtLog.log(e.usage);
      return;
    }
    throw (e);
  }
}
