enum TestGenerationStatus { create, update, forceUpdate, omit }

class TestRunInfo {
  int created;
  int updated; //used in both generate and save
  int ommitted;

  TestRunInfo(this.created, this.updated, this.ommitted);

  factory TestRunInfo.newRun() => TestRunInfo(0, 0, 0);

  void incrementFromAction(TestGenerationStatus status) {
    if (status == TestGenerationStatus.create ||
        status == TestGenerationStatus.forceUpdate) created++;
    if (status == TestGenerationStatus.update) updated++;
    if (status == TestGenerationStatus.omit) ommitted++;
  }
}
